org.apache.lucene.search

## Class FilterCollector

- java.lang.Object
- - org.apache.lucene.search.FilterCollector

All Implemented Interfaces:
  Collector

Direct Known Subclasses:
  CachingCollector, PositiveScoresOnlyCollector

    public abstract class FilterCollector
    extends Object
    implements Collector

`Collector` delegator.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`protected Collector` `in`

### Constructor Summary

Constructors
Constructor and Description
`FilterCollector(Collector in)` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`LeafCollector` `getLeafCollector(LeafReaderContext context)` Create a new `collector` to collect the given context.
`ScoreMode` `scoreMode()` Indicates what features are required from the scorer.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### in

    protected final Collector in

### Constructor Detail

#### FilterCollector

    public FilterCollector(Collector in)

Sole constructor.

### Method Detail

#### getLeafCollector

    public LeafCollector getLeafCollector(LeafReaderContext context)
                                   throws IOException

Description copied from interface: `Collector`
Create a new `collector` to collect the given context.

Specified by:
  `getLeafCollector` in interface `Collector`
Parameters:
  `context` - next atomic reader context
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### scoreMode

    public ScoreMode scoreMode()

Description copied from interface: `Collector`
Indicates what features are required from the scorer.

Specified by:
  `scoreMode` in interface `Collector`